Bug 252398 - When loading RHEL 3 U9 on Dell PowerEdge 2970, system hangs at kudzu
When loading RHEL 3 U9 on Dell PowerEdge 2970, system hangs at kudzu
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Don Howard
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-08-15 15:45 EDT by Tony Bowles
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:35:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tony Bowles 2007-08-15 15:45:10 EDT
Description of problem:
When I remove the link in /etc/rc3.d for kudzu, the machine boots up fine.  I
was able to run kudzu after boot up yesterday and it returned ok, but when I
reenabled kudzu at boot it hangs.  I then disabled kudzu during boot again and
it boots, but when I run kudzu after boot up now, the kudzu process goes into an
uninterruptible sleep state (D in ps aux output) indicating that it is blocking
on I/O but there is no I/O activity.  When the server is in this state, the load
average continually climbs and you can not kill the kudzu process.  The only
method to get the machine back under control is to reboot the machine.  I
checked and the kernel is the 2.4.21-50.  This server is the Dell PowerEdge with
Opteron processors and 2.5" SAS drives.  At this point I am stumped as to what
to do next.  Any suggestions?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Bill Nottingham 2007-08-29 13:25:19 EDT
Strace it to see where it's hanging. Being stuck in 'D' generally implies a
kernel issue.
Comment 2 Don Howard 2007-09-13 13:33:13 EDT
Hi Tony -

Have you had a chance to open a support ticket via issue tracker?
Comment 3 RHEL Product and Program Management 2007-10-19 14:35:48 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.